## mame 0.137u1-0maemo1

=== debian/changelog ===
mame (0.137u1-0maemo1) unstable; urgency=low

  * New upstream version update.
  * Built with SDK 1.2 (FWIF).

 -- Flandry <davidfalkayn@gmail.cmo>  Fri, 26 Mar 2010 13:18:25 -0400

mame (0.137-0maemo3) unstable; urgency=low

  * Recommended upgrade for all: provides basic keyboard and joystick
    controls for everyone with no extra hassle.
  * Fix config file corruption bug introduced in previous version.
  * More complete/sensible default keymap:
    - volume rocker toggles OSD (volume) and configuration menu;
    - all 6 player one buttons (A,Z,S,X,D,C with alternates '.' ',' L and 
      Space for buttons 3-6);
    - <Ctrl>-P for snapshot;
    - <Ctrl>-L & <CTRL>-S load & save (you may want to disable autosave);
    - #1-#3 (Q, W, and E) to coin1/start1 through coin3/start3
      (This is probably not useful. However, if someone actually hooks up 
      three joysticks and video out to use this, i *want* a video of it...)

 -- Flandry <davidfalkayn@gmail.cmo>  Sun, 14 Mar 2010 00:12:56 -0500

mame (0.137-0maemo2) unstable; urgency=low

  * Startup script now changes to QWERTY layout for the poor souls
    affected by the Nokia keyboard layout bug.
  * Now depends on accelemymote. The startup script will automatically 
   start the accelemymote daemon. If the phone is not inverted within
   4 seconds, the tilt control will shutdown again.
  * Menu font is now macroscopic.
  * Mame.ini now specifies .mame instead of .sdlmame as the settings dir.

 -- Flandry <davidfalkayn@gmail.cmo>  Fri, 12 Mar 2010 16:20:04 -0500

mame (0.137-0maemo1) unstable; urgency=low

  * New upstream release. Builds with only minor patching!
  * Package name changed to reflect merge of SDLMAME project with mainline.
    Upstream source is now the main MAME project at http://mamedev.org.
  * Settings moved into mame.ini from startup script.
  * Configuration directory is now $HOME/.mame (/home/user/.mame). Users with
    custom settings will need to migrate the changes from the deprecated 
    $HOME/.sdlmame directory.

 -- Flandry <davidfalkayn@gmail.cmo>  Fri, 12 Mar 2010 02:30:01 -0500

sdlmame (0.135u3-0maemo3) unstable; urgency=low

  * Fixed arm-specific CFLAGS so x86 autobuilder doesn't fall over :P

 -- Flandry <davidfalkayn@gmail.cmo>  Wed, 13 Jan 2010 04:35:59 -0500

sdlmame (0.135u3-0maemo2) unstable; urgency=low

  * Arch-specific CFLAGS added to makefile: ~1.5% performance gain :D
  * YUV overlay used for accelerated scaling: ~2.5x increased performance(!)
  * Fixed user config directory structure (fixes -autosave)

 -- Flandry <davidfalkayn@gmail.cmo>  Tue, 12 Jan 2010 22:56:13 -0500

sdlmame (0.135u3-0maemo1) unstable; urgency=low

  * Applied ldesnogu's patch to fix alignment error
  * Better build flags and keymaps
  * Default path and parameters appropriate for Maemo
    - Roms can go in /media/mmc1/roms/ or $HOME/roms or $HOME/MyDocs/roms
    - All other content goes in appropriately-named subdirectories of 
      any of the roms dirs
    - All config and state directories are in $HOME/.sdlmame/

 -- Flandry <davidfalkayn@gmail.cmo>  Fri,  1 Jan 2010 19:37:03 -0500

sdlmame (0.135u3-0maemo0) unstable; urgency=low

  * Latest upstream version.
  * Compiler optimization reduced to -O1

 -- Flandry <davidfalkayn@gmail.cmo>  Fri, 25 Dec 2009 16:44:36 -0500

sdlmame (0.135u2-0maemo1) unstable; urgency=low

  * Autobuilder hiccup failed to import -armel build, blocked reupload.

 -- Flandry <davidfalkayn@gmail.cmo>  Thu, 17 Dec 2009 09:35:05 -0500

sdlmame (0.135u2-0maemo0) unstable; urgency=low

  * Initial maemo port for profiling/testing. No source modifications.
  * Removed -Werror from makefile line 341

 -- Flandry <davidfalkayn@gmail.cmo>  Wed, 16 Dec 2009 19:00:54 -0500

## mame 0.160

=== 3rdparty/jsoncpp/SConstruct ===
"""
Notes: 
- shared library support is buggy: it assumes that a static and dynamic library can be build from the same object files. This is not true on many platforms. For this reason it is only enabled on linux-gcc at the current time.

To add a platform:
- add its name in options allowed_values below
- add tool initialization for this platform. Search for "if platform == 'suncc'" as an example.
"""

import os
import os.path
import sys

JSONCPP_VERSION = open(File('#version').abspath,'rt').read().strip()
DIST_DIR = '#dist'

options = Variables()
options.Add( EnumVariable('platform',
                        'Platform (compiler/stl) used to build the project',
                        'msvc71',
                        allowed_values='suncc vacpp mingw msvc6 msvc7 msvc71 msvc80 msvc90 linux-gcc'.split(),
                        ignorecase=2) )

try:
    platform = ARGUMENTS['platform']
    if platform == 'linux-gcc':
        CXX = 'g++' # not quite right, but env is not yet available.
        import commands
        version = commands.getoutput('%s -dumpversion' %CXX)
        platform = 'linux-gcc-%s' %version
        print "Using platform '%s'" %platform
        LD_LIBRARY_PATH = os.environ.get('LD_LIBRARY_PATH', '')
        LD_LIBRARY_PATH = "%s:libs/%s" %(LD_LIBRARY_PATH, platform)
        os.environ['LD_LIBRARY_PATH'] = LD_LIBRARY_PATH
        print "LD_LIBRARY_PATH =", LD_LIBRARY_PATH
except KeyError:
    print 'You must specify a "platform"'
    sys.exit(2)

print "Building using PLATFORM =", platform

rootbuild_dir = Dir('#buildscons')
build_dir = os.path.join( '#buildscons', platform )
bin_dir = os.path.join( '#bin', platform )
lib_dir = os.path.join( '#libs', platform )
sconsign_dir_path = Dir(build_dir).abspath
sconsign_path = os.path.join( sconsign_dir_path, '.sconsign.dbm' )

# Ensure build directory exist (SConsignFile fail otherwise!)
if not os.path.exists( sconsign_dir_path ):
    os.makedirs( sconsign_dir_path )

# Store all dependencies signature in a database
SConsignFile( sconsign_path )

def make_environ_vars():
	"""Returns a dictionnary with environment variable to use when compiling."""
	# PATH is required to find the compiler
	# TEMP is required for at least mingw
    # LD_LIBRARY_PATH & co is required on some system for the compiler
	vars = {}
	for name in ('PATH', 'TEMP', 'TMP', 'LD_LIBRARY_PATH', 'LIBRARY_PATH'):
		if name in os.environ:
			vars[name] = os.environ[name]
	return vars
	

env = Environment( ENV = make_environ_vars(),
                   toolpath = ['scons-tools'],
                   tools=[] ) #, tools=['default'] )

if platform == 'suncc':
    env.Tool( 'sunc++' )
    env.Tool( 'sunlink' )
    env.Tool( 'sunar' )
    env.Append( CCFLAGS = ['-mt'] )
elif platform == 'vacpp':
    env.Tool( 'default' )
    env.Tool( 'aixcc' )
    env['CXX'] = 'xlC_r'   #scons does not pick-up the correct one !
    # using xlC_r ensure multi-threading is enabled:
    # http://publib.boulder.ibm.com/infocenter/pseries/index.jsp?topic=/com.ibm.vacpp7a.doc/compiler/ref/cuselect.htm
    env.Append( CCFLAGS = '-qrtti=all',
                LINKFLAGS='-bh:5' )  # -bh:5 remove duplicate symbol warning
elif platform == 'msvc6':
    env['MSVS_VERSION']='6.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc70':
    env['MSVS_VERSION']='7.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc71':
    env['MSVS_VERSION']='7.1'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc80':
    env['MSVS_VERSION']='8.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -EHsc /nologo /MT'
elif platform == 'msvc90':
    env['MSVS_VERSION']='9.0'
    # Scons 1.2 fails to detect the correct location of the platform SDK.
    # So we propagate those from the environment. This requires that the
    # user run vcvars32.bat before compiling.
    if 'INCLUDE' in os.environ:
        env['ENV']['INCLUDE'] = os.environ['INCLUDE']
    if 'LIB' in os.environ:
        env['ENV']['LIB'] = os.environ['LIB']
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -EHsc /nologo /MT'
elif platform == 'mingw':
    env.Tool( 'mingw' )
    env.Append( CPPDEFINES=[ "WIN32", "NDEBUG", "_MT" ] )
elif platform.startswith('linux-gcc'):
    env.Tool( 'default' )
    env.Append( LIBS = ['pthread'], CCFLAGS = os.environ.get("CXXFLAGS", "-Wall"), LINKFLAGS=os.environ.get("LDFLAGS", "") )
    env['SHARED_LIB_ENABLED'] = True
else:
    print "UNSUPPORTED PLATFORM."
    env.Exit(1)

env.Tool('targz')
env.Tool('srcdist')
env.Tool('globtool')

env.Append( CPPPATH = ['#include'],
            LIBPATH = lib_dir )
short_platform = platform
if short_platform.startswith('msvc'):
    short_platform = short_platform[2:]
# Notes: on Windows you need to rebuild the source for each variant
# Build script does not support that yet so we only build static libraries.
# This also fails on AIX because both dynamic and static library ends with
# extension .a.
env['SHARED_LIB_ENABLED'] = env.get('SHARED_LIB_ENABLED', False)
env['LIB_PLATFORM'] = short_platform
env['LIB_LINK_TYPE'] = 'lib'    # static
env['LIB_CRUNTIME'] = 'mt'
env['LIB_NAME_SUFFIX'] = '${LIB_PLATFORM}_${LIB_LINK_TYPE}${LIB_CRUNTIME}'  # must match autolink naming convention
env['JSONCPP_VERSION'] = JSONCPP_VERSION
env['BUILD_DIR'] = env.Dir(build_dir)
env['ROOTBUILD_DIR'] = env.Dir(rootbuild_dir)
env['DIST_DIR'] = DIST_DIR
if 'TarGz' in env['BUILDERS']:
	class SrcDistAdder:
		def __init__( self, env ):
			self.env = env
		def __call__( self, *args, **kw ):
			apply( self.env.SrcDist, (self.env['SRCDIST_TARGET'],) + args, kw )
	env['SRCDIST_BUILDER'] = env.TarGz
else: # If tarfile module is missing
	class SrcDistAdder:
		def __init__( self, env ):
			pass
		def __call__( self, *args, **kw ):
			pass
env['SRCDIST_ADD'] = SrcDistAdder( env )
env['SRCDIST_TARGET'] = os.path.join( DIST_DIR, 'jsoncpp-src-%s.tar.gz' % env['JSONCPP_VERSION'] )
                      
env_testing = env.Clone( )
env_testing.Append( LIBS = ['json_${LIB_NAME_SUFFIX}'] )

def buildJSONExample( env, target_sources, target_name ):
    env = env.Clone()
    env.Append( CPPPATH = ['#'] )
    exe = env.Program( target=target_name,
                       source=target_sources )
    env['SRCDIST_ADD']( source=[target_sources] )
    global bin_dir
    return env.Install( bin_dir, exe )

def buildJSONTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, RunJSONTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildUnitTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, 
                                    RunUnitTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildLibrary( env, target_sources, target_name ):
    static_lib = env.StaticLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                    source=target_sources )
    global lib_dir
    env.Install( lib_dir, static_lib )
    if env['SHARED_LIB_ENABLED']:
        shared_lib = env.SharedLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                        source=target_sources )
        env.Install( lib_dir, shared_lib )
    env['SRCDIST_ADD']( source=[target_sources] )

Export( 'env env_testing buildJSONExample buildLibrary buildJSONTests buildUnitTests' )

def buildProjectInDirectory( target_directory ):
    global build_dir
    target_build_dir = os.path.join( build_dir, target_directory )
    target = os.path.join( target_directory, 'sconscript' )
    SConscript( target, build_dir=target_build_dir, duplicate=0 )
    env['SRCDIST_ADD']( source=[target] )


def runJSONTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    data_path = os.path.join( jsontest_path, 'data' )
    import runjsontests
    return runjsontests.runAllTests( os.path.abspath(source[0].path), data_path )

def runJSONTests_string( target, source = None, env = None ):
    return 'RunJSONTests("%s")' % source[0]

import SCons.Action
ActionFactory = SCons.Action.ActionFactory
RunJSONTests = ActionFactory(runJSONTests_action, runJSONTests_string )

def runUnitTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    import rununittests
    return rununittests.runAllTests( os.path.abspath(source[0].path) )

def runUnitTests_string( target, source = None, env = None ):
    return 'RunUnitTests("%s")' % source[0]

RunUnitTests = ActionFactory(runUnitTests_action, runUnitTests_string )

env.Alias( 'check' )

srcdist_cmd = env['SRCDIST_ADD']( source = """
    AUTHORS README.txt SConstruct
    """.split() )
env.Alias( 'src-dist', srcdist_cmd )

buildProjectInDirectory( 'src/jsontestrunner' )
buildProjectInDirectory( 'src/lib_json' )
buildProjectInDirectory( 'src/test_lib_json' )
#print env.Dump()

=== 3rdparty/lsqlite3/CMakeLists.txt ===
# Copyright (C) 2007-2012 LuaDist.
# Created by Peter Kapec
# Redistribution and use of this file is allowed according to the terms of the MIT license.
# For details see the COPYRIGHT file distributed with LuaDist.
# Please note that the package source code is licensed under its own license.

project ( lsqlite3 C )
cmake_minimum_required ( VERSION 2.8 )
include ( cmake/dist.cmake )
include ( lua )

# Find SQLite3
find_package ( SQLite3 REQUIRED )
include_directories ( ${SQLITE3_INCLUDE_DIRS} )

# Create lsqlite module
install_lua_module ( lsqlite3 lsqlite3.c lsqlite3.def LINK ${SQLITE3_LIBRARIES} )
install_data ( HISTORY README )
install_doc( doc/ )
install_test ( lunit.lua test.lua tests-sqlite3.lua )
install_example ( examples/ )

=== 3rdparty/portmidi/CMakeLists.txt ===
# portmidi
# Roger B. Dannenberg
# 20 Sep 2009

cmake_minimum_required(VERSION 2.6)

if(UNIX)
  # allow user to set Release or Debug
  set(CMAKE_BUILD_TYPE Release CACHE STRING 
      "Semicolon-separate list of supported configuration types")
  # set default directories but don't override cached values...
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
      CACHE STRING "libraries go here")
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
      CACHE STRING "libraries go here")
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY 
      ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
      CACHE STRING "executables go here")

else(UNIX)
  # this does not seem to work for xcode:
  set(CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE STRING 
      "Semicolon-separate list of supported configuration types")
endif(UNIX)

#set(CMAKE_RELATIVE_PATHS ON CACHE STRING "avoid absolute paths" FORCE)

# Clear out the built-in C++ compiler and link flags for each of the 
# unused configurations.
set(CMAKE_CXX_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_EXE_LINKER_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")
set(CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")
set(CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")
set(CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")

set(CMAKE_OSX_ARCHITECTURES i386 ppc x86_64 CACHE STRING "change to needed architecture for a smaller library" FORCE)

PROJECT(portmidi)

if(UNIX)
  # Problem: if there was an old Debug build and you change
  #  CMAKE_BUILD_TYPE to Release, then the OUTPUT_DIRECTORY's will
  #  still be Debug. Try to fix this by checking if the DIRECTORY's
  #  look wrong, and if so, force them to the defaults:
  if(CMAKE_BUILD_TYPE MATCHES "Debug")
    set(BAD_DIR "Release")
  else(CMAKE_BUILD_TYPE MATCHES "Debug")
    set(BAD_DIR "Debug")
  endif(CMAKE_BUILD_TYPE MATCHES "Debug")
  # use library as reference -- if you give it a non-BAD_DIR location
  # then every other path is left alone
  if(CMAKE_LIBRARY_OUTPUT_DIRECTORY MATCHES ${BAD_DIR})
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY 
        ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
        CACHE STRING "executables go here" FORCE)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY 
        ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
        CACHE STRING "libraries go here" FORCE)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY 
        ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
        CACHE STRING "libraries go here" FORCE)
  endif(CMAKE_LIBRARY_OUTPUT_DIRECTORY MATCHES ${BAD_DIR})
endif(UNIX)

include_directories(pm_common porttime)
add_subdirectory(pm_common)

add_subdirectory(pm_test)

add_subdirectory(pm_dylib)

# Cannot figure out how to make an xcode Java application with CMake
add_subdirectory(pm_java)

=== 3rdparty/jsoncpp/src/CMakeLists.txt ===
ADD_SUBDIRECTORY(lib_json)
IF(JSONCPP_WITH_TESTS)
    ADD_SUBDIRECTORY(jsontestrunner)
    ADD_SUBDIRECTORY(test_lib_json)
ENDIF(JSONCPP_WITH_TESTS)

=== 3rdparty/mongoose/examples/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

SUBDIRS = $(sort $(filter-out csharp/, $(dir $(wildcard */))))
X = $(SUBDIRS)
ifdef WINDIR
    # appending the Winsock2 library at the end of the compiler
	# invocation
    CFLAGS_EXTRA += -lws2_32
endif

.PHONY: $(SUBDIRS)

all: $(SUBDIRS)

$(SUBDIRS):
	@$(MAKE) CFLAGS_EXTRA="$(CFLAGS_EXTRA)" -C $@

clean:
	for d in $(SUBDIRS) ; do $(MAKE) -C $$d clean ; done

=== 3rdparty/mongoose/test/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

PROG = unit_test
PROF_FLAGS = -fprofile-arcs -ftest-coverage -g -O0 -DGUI
CFLAGS = -W -Wall -pthread -I.. $(PROF_FLAGS) $(CFLAGS_EXTRA)
SOURCES = $(PROG).c

all: $(PROG)
	./$(PROG)
	gcov -b $(PROG).c | egrep '^(File|Lines)'

$(PROG): $(SOURCES) Makefile ../mongoose.c clean
	$(CC) -o $(PROG) $(SOURCES) $(CFLAGS) -ldl -lssl

win:
	wine cl $(SOURCES) /MD /nologo /DNDEBUG /O1 /Fe$(PROG).exe
	wine $(PROG).exe

clean:
	rm -rf $(PROG) *.exe *.dSYM *.obj *.exp .*o *.lib *.gc*

=== 3rdparty/bgfx/3rdparty/glsl-optimizer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include_directories(include)
include_directories(src/mesa)
include_directories(src/mapi)
include_directories(src/glsl)

option (DEBUG "Enable debugging" FALSE)

if(${DEBUG} MATCHES "on")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O0")
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Os -DNDEBUG")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -DNDEBUG")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -s")
endif()

file(GLOB glcpp-library_sources src/glsl/glcpp/*.c)
#file(GLOB glcpp-library_sources_remove src/glsl/glcpp/glcpp.c)
#list(REMOVE_ITEM glcpp-library_sources ${glcpp-library_sources_remove})
add_library(glcpp-library ${glcpp-library_sources})

file(GLOB mesa_sources src/mesa/program/*.c src/mesa/main/*.c)
add_library(mesa ${mesa_sources})

file(GLOB glsl_sources src/glsl/*.cpp src/glsl/*.c)
file(GLOB glsl_sources_remove src/glsl/main.cpp src/glsl/builtin_stubs.cpp)
list(REMOVE_ITEM glsl_sources ${glsl_sources_remove})
add_library(glsl_optimizer ${glsl_sources})
target_link_libraries(glsl_optimizer glcpp-library mesa)

add_executable(glsl_compiler src/glsl/main.cpp)
target_link_libraries(glsl_compiler glsl_optimizer)

file(GLOB glsl_test_sources tests/*.cpp)
add_executable(glsl_test ${glsl_test_sources})
target_link_libraries(glsl_test glsl_optimizer)
if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    # OSX-specific build requirements
    find_library(OpenGL_LIBRARY OpenGL )
    target_link_libraries(glsl_test ${OpenGL_LIBRARY})
endif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

file(GLOB glslopt_sources contrib/glslopt/*.cpp)
add_executable(glslopt ${glslopt_sources})
target_link_libraries(glslopt glsl_optimizer)

#add_executable(glcpp src/glsl/glcpp/glcpp.c)
#target_link_libraries(glcpp glsl_optimizer)

=== 3rdparty/genie/build/gmake.darwin/Makefile ===
# GNU Make solution makefile autogenerated by GENie
# Type "make help" for usage help

ifndef config
  config=release
endif
export config

PROJECTS := genie

.PHONY: all clean help $(PROJECTS)

all: $(PROJECTS)

genie: 
	@echo "==== Building genie ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f genie.make

clean:
	@${MAKE} --no-print-directory -C . -f genie.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "   release"
	@echo "   debug"
	@echo "   releaseuniv32"
	@echo "   debuguniv32"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   genie"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"

=== 3rdparty/genie/build/gmake.windows/Makefile ===
# GNU Make solution makefile autogenerated by GENie
# Type "make help" for usage help

ifndef config
  config=release
endif
export config

PROJECTS := genie

.PHONY: all clean help $(PROJECTS)

all: $(PROJECTS)

genie: 
	@echo "==== Building genie ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f genie.make

clean:
	@${MAKE} --no-print-directory -C . -f genie.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "   release"
	@echo "   debug"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   genie"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"

=== 3rdparty/jsoncpp/src/test_lib_json/CMakeLists.txt ===

IF(JSONCPP_LIB_BUILD_SHARED)
  ADD_DEFINITIONS( -DJSON_DLL )
ENDIF(JSONCPP_LIB_BUILD_SHARED)

ADD_EXECUTABLE( jsoncpp_test 
                jsontest.cpp
                jsontest.h
                main.cpp
                )

TARGET_LINK_LIBRARIES(jsoncpp_test jsoncpp_lib)

# Run unit tests in post-build
# (default cmake workflow hides away the test result into a file, resulting in poor dev workflow?!?)
IF(JSONCPP_WITH_POST_BUILD_UNITTEST)
    ADD_CUSTOM_COMMAND( TARGET jsoncpp_test
                        POST_BUILD
                        COMMAND $<TARGET_FILE:jsoncpp_test>)
ENDIF(JSONCPP_WITH_POST_BUILD_UNITTEST)

SET_TARGET_PROPERTIES(jsoncpp_test PROPERTIES OUTPUT_NAME jsoncpp_test)

=== 3rdparty/mongoose/examples/big_upload/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

PROG = big_upload
CFLAGS = -W -Wall -pthread -I../.. -g -O0 $(CFLAGS_EXTRA)
SOURCES = $(PROG).c ../../mongoose.c

$(PROG): $(SOURCES)
	$(CC) -o $(PROG) $(SOURCES) $(CFLAGS)

clean:
	rm -rf $(PROG) *.exe *.dSYM *.obj *.exp .*o *.lib

=== 3rdparty/mongoose/examples/digest_authentication/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

PROG = digest_auth
CFLAGS = -W -Wall -I../.. -pthread -g -O0 $(CFLAGS_EXTRA)
SOURCES = $(PROG).c ../../mongoose.c

$(PROG): $(SOURCES)
	$(CC) -o $(PROG) $(SOURCES) $(CFLAGS)

clean:
	rm -rf $(PROG) *.exe *.dSYM *.obj *.exp .*o *.lib

## mame 0.137u1-0maemo2

=== debian/changelog ===
mame (0.137u1-0maemo2) unstable; urgency=low

  * Added arm-specific compiler flags (the right way). 
    Generally good for a 1-5% speedup.
  * Changed startup script to leave accelemymote running *unless*
    the phone is flipped upside down within the first 10 seconds.
    This is due to turtle mode in accelemymote giving more control.

 -- Flandry <davidfalkayn@gmail.cmo>  Fri,  2 Apr 2010 23:08:55 -0400

=== debian/control ===
Source: mame
Section: user/games
Priority: extra
Maintainer: Flandry <davidfalkayn@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libgtk2.0-dev,
 libxinerama-dev, libgconf2-dev, sharutils
Standards-Version: 3.8.1
Homepage: http://www.mamedev.org

Package: mame
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, accelemymote (>= 0.0.6)
Conflicts: sdlmame
Replaces: sdlmame
Description: MAME -- the Multiple Arcade Machine Emulator
 MAME is an ambitious project to permit archival preservation 
 of arcade systems by providing a perfect emulation of the
 hardware necessary to run the original machine ROMs from
 archived copies. It emphasizes accuracy of emulation over speed.
 .
 Some contributed ROMs are available from http://mamedev.org, 
 or you may scan and use your own machine ROMs.
 .
 This is the Maemo port of mainline MAME using the SDL library.
 It was known as SDLMAME before the merge of the SDL project into
 the mainline.
 .
 Hint: Hold your phone upside down immediately after starting 
 MAME to enable tilt control.
XB-Maemo-Display-Name: MAME
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=SDLMAME
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAXpQTFRFAAAAAAADBwMLDAIZDQQNDAQVCwQ4FgE5EgUeEQQsDgYkFAUh
 HgBDFgQ2CghCHAJPEgZFHAJaJAFVBhAbJgBcHARUKQFfKwFmFApTLQFrJQRn
 LQFzJwN6MgFvJQVzNgB3ERE8IwdrNACCDBM/NgF7NgGQOQKCExVDFRRNPgGW
 GhNUOgSeVAC6VQDDWADSGE1wIVWCT1JjT1JrUlJ0F1+jVFGATVlkSlppF2Sl
 XVKKXlKTF2apGGeqGGysa1SvGHCuNW6PMW+WInO0H3S1K3OfKXSjIXW4OXOT
 GXy1Gn64O3qeLH+xJ4GvPXygMn+rGoW8J4LMNoC4KYe4MorFZISbNo7JaIee
 RqDOSZ/WQ6LVaJuzP6TXQqbcSKXWTKjaR6/mQ7LoTLTtV7LmTbXwW7bnV7fv
 TbrzVrntXLztXb3xVr/2YrzxVsL1YMHzV8T8XMP5X8P1XMv+b8v8X9L+btD+
 d8/9Y9X+fdD8Y9r+idL7htT7ddr+ktb6l9n/lW0vmQAAAAF0Uk5TAEDm2GYA
 AAABYktHRACIBR1IAAAACXBIWXMAAAsTAAALEwEAmpwYAAADeUlEQVRIx82W
 a1vaWBCARa4pJw2cpgQSXbokMWi4pLa0VkRaIl5qq6VgU1lbjBdssSICxQvx
 v+8kQbvu7hfhS98nX+CZd86ceWAmY2O/JZs3rJms3qL+h+GFubm5rMWCRe6W
 u/H5XwJBUAiZj9frdru9GJMURWOMKWrG48EkSfh8jpGELM8HEXI6nYiiQKBC
 IRQKgUBnMtWHD7Hf73O7QVAqlZVbIYKQY3wc0TTh9+NIxHwwzlSr5UAAE4TP
 5XIoSkXTXo8gkKQDiqFpkiAYlqUFIfjsmVYq7QUCIZL0Q0mVivb589tbgYM7
 EARmGIRQDGNmaiqjaerBwUEgAF+RTiekX67VhhPW1rKSFBOEEMbsxAQ3NSUg
 xL16palqrdsFAW5DQj3wsdUaCAuSJCcS05EII4qyKCKCgPSFWq3Xbh+EwxzG
 kF7d3a2fnAwtxOMgyDSNZVlmWeLpU61Q0M/OzqCkcJj59Anq2a/X756QTIoI
 eWU5wXGzkE8348/ghHi8srWl1k30k5P3Qwmrqws8D4Lw4IE3kUha/dF7vYFQ
 rW4VCnVbaLVuhCdPQIghxKRSi1b6TqdjC41yWW00mhC+v68fH48ipFIyx00v
 LlahPz2L6+tmu9368KHZNONt4a0t5OLxRCqVkOV5aL+u9zqdXrd7Xa83T0+b
 Fo3Ly31d1799G1qYmUkkk4n5ec2qBy7QNYyljx9PbaHRMHSL799/CXCBjJ0e
 hH7fUJTwxoadv2EYO+Vy7V8n3FOQpMezs9ryst2f/tVVmuOY9XUQTn/8MLa3
 paWlnTsCz8/epO/1+5fpdECWI5bQMoy/JMkzmqCquRcvSoXC0cUFxF+dn6c9
 HiSKrCWY9cA/rli8I7yG9EdHVvjVeTr9J0wxQaBBMIxtSWIYxlssfhlBWFmB
 evQLs6Drnz/TExNiNMpwHH73zqyHZVmGId+8+bK7OxBelkpbx8d9i7ai/CHL
 06IoxGKP19c1nvfAhA6FQNiBkWP/Wu8pPHr0vlw+Ag4PD/f20sGgGDMRJicD
 Gxs8jHK/n4SxWyxufzVRxjwej6IogQHBaJTFGFmQPO9yOmHQ+51OmNPjipIe
 H3fcX7DaqsIIY5jJaJSjKASz2ucjvV5wYPS7XS4XxAGbm88HG0j9H1b/gblb
 rS07upDP53O5vL1w7eWbzc7d8Bz4PV9M/gbqPcQD+TBYWwAAAABJRU5ErkJg
 gg==

## mame 0.137-0maemo1

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mame
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, accelemymote (>= 0.0.6)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: sdlmame
 Replaces: sdlmame
 Description: MAME -- the Multiple Arcade Machine Emulator
@@ -24,9 +24,6 @@
  This is the Maemo port of mainline MAME using the SDL library.
  It was known as SDLMAME before the merge of the SDL project into
  the mainline.
- .
- Hint: Hold your phone upside down immediately after starting 
- MAME to enable tilt control.
 XB-Maemo-Display-Name: MAME
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=SDLMAME
 XB-Maemo-Icon-26:

## mame 0.137-0maemo3

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mame
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, accelemymote (>= 0.0.5)
 Conflicts: sdlmame
 Replaces: sdlmame
 Description: MAME -- the Multiple Arcade Machine Emulator
@@ -24,6 +24,9 @@
  This is the Maemo port of mainline MAME using the SDL library.
  It was known as SDLMAME before the merge of the SDL project into
  the mainline.
+ .
+ Hint: Hold your phone upside down immediately after starting 
+ MAME to enable tilt control.
 XB-Maemo-Display-Name: MAME
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=SDLMAME
 XB-Maemo-Icon-26:

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	make NOWERROR=1 NOASM=1 NO_OPENGL=1 OPTIMIZE=3

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	make clean
	rm -rf obj mame
	dh_clean build-stamp configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/share/icons/hicolor/64x64/apps
	uudecode ./debian/mame-64.png.uu
	mv mame-64.png ./debian/mame/usr/share/icons/hicolor/64x64/apps/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
#	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installinfo
	dh_link
	dh_strip
#	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mame 0.138u1-0maemo0

=== debian/changelog ===
mame (0.138u1-0maemo0) unstable; urgency=low

  * Updated to latest upstream source.
  * Depends on newest version of accelemymote with support for 
    proximity sensor as a button.
  * Removed patch from patchset (added upstream).

 -- Flandry <davidfalkayn@gmail.cmo>  Sun, 13 Jun 2010 07:07:05 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mame
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, accelemymote (>= 0.0.5)
+Depends: ${shlibs:Depends}, ${misc:Depends}, accelemymote (>= 0.0.7)
 Conflicts: sdlmame
 Replaces: sdlmame
 Description: MAME -- the Multiple Arcade Machine Emulator

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
+ifeq ($(DEB_HOST_ARCH),armel)
+	ARCHOPTS += -ffast-math -march=armv7-a -mcpu=cortex-a8 -mfpu=neon
 endif
 
 configure: configure-stamp
@@ -17,8 +13,8 @@
 
 build-stamp: configure-stamp 
 	dh_testdir
-	make NOWERROR=1 NOASM=1 NO_OPENGL=1 OPTIMIZE=3
 
+	make NOWERROR=1 NOASM=1 NO_OPENGL=1 OPTIMIZE=2 ARCHOPTS='$(ARCHOPTS)'
 	touch build-stamp
 
 clean:

## mame 0.139

=== debian/changelog ===
mame (0.139-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #612070)
  * debian/contrib/manpages: removed, accepted upstream
  * debian/patches/:
    - deprecated_gtk_macros: removed, fixed upstream
    - missing_newline.patch: removed, fixed upstream
    - typos.patch: removed, fixed upstream
  * debian/rules: new variables SYMLEVEL and DUMPSYM
  * mame-tools: ldplayer removed, possibly for good (FTBFS upstream)

 -- Cesare Falco <cesare.falco@gmail.com>  Sun, 01 Aug 2010 23:18:31 +0200

mame (0.138-0ubuntu2) maverick; urgency=low

  [ Cesare Falco ]
  * debian/control:
    - Fixed renaming/replacing deps (LP: #605337)
    - Limit architecture to i386 and amd64
  * Removed redundancies in debian/*.dirs
  * debian/copyright: converted to DEP-5 format
  * debian/rules:
    - Deleted hppa, ia64, spac and powerpc as they are not supported upstream
    - Modified the get-orig-source target to generate the tarball in the root
      directory and not in the parent directory

  [ Fabrice Coutadeur ]
  * debian/control: bump Standards-version to 3.9.0. No changes required.

 -- Cesare Falco <cesare.falco@gmail.com>  Mon, 19 Jul 2010 00:01:32 +0200

mame (0.138-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #538369)
  * sdlmame:
    - changed name of package to mame (LP: #538367)
      + new dummy packages to ease transition
      + renamed all maintainer scripts which needed to
      + updated documentation and contributed files
  * sdlmame-tools:
    - changed name of package to mame-tools
    - new dummy package to ease transition
    - added ldplayer, including manpage
  * New package to ease building of custom MAME flavours:
    - mame-common: a set of mandatory, basic files needed to run MAME,
      no matter the flavour
  * debian/control:
    - Wrapped and sorted Build-Depends et al.
    - Fixed version numbers for 0.136
    - Fixed package descriptions
    - Section changed to games (mame/mame-common) and utils (mame-tools)
  * debian/contrib/:
    - contains all contrib files now, subdirs removed
    - mame.1:
      + documented new switch -listsoftware
      + documented switch -listmedia, previously slipped out
    - mame.ini: fixed keymaps directory
  * debian/mame-common.dirs: fixed keymaps directory
  * debian/patches/:
    - missing_newline.patch: new, adds newline to some source files
    - typos.patch: new, fixes some typos in source strings/comments
    - delete_obj_dir_on_make_clean.patch: new, clean target deletes obj/
  * debian/rules:
    - restructured to take advantage of dh
    - get-orig-source: build a .bz2 archive
    - removed obsolete variables: CPP_COMPILE DISTRO NOASM
    - removed FORTIFY_SOURCE override to fit Ubuntu standards
    - new variable NOWERROR turns compiler warnings into errors
    - new variable GPROF turns on profiling with gprof
  * debian/source/format: moved to 3.0 (quilt)
  * debian/watch: Updated URL
  * debian/whatsnew.txt: gone, it's back upstream

 -- Cesare Falco <cesare.falco@gmail.com>  Sat, 22 May 2010 10:28:24 +0200

sdlmame (0.136-0ubuntu2) lucid; urgency=low

  * debian/rules:
    - Got rid of gcc 4.2 as default lucid compiler (4.4) is good for sdlmame.
      This is done by using DISTRO=gcc44-generic (LP: #554444)
    - Added dh_quilt call to apply new patch
  * debian/control:
    - Bumped version of debhelper to 7.0.8 to have dh_quilt macro
    - Added build dependency on quilt
    - Deleted dependency on gcc-4.2
  * debian/patches/deprecated_gtk_macros: Remove deprecated gtk2 macro in
    src/osd/sdl/dview.c
  * debian/contrib/manpages/*.1: fixed release in all manpages, also a typo in
    ldverify.1

 -- Cesare Falco <cesare.falco@gmail.com>  Sat, 03 Apr 2010 09:51:27 +0200

sdlmame (0.136-0ubuntu1) lucid; urgency=low

  * New upstream release - Closes (LP: #502191)
  * debian/rules:
    - Added new make variable NOASM to take advantage of the Assembly core when
      available, and also mandatory on some targets (ARM, for example)
    - Updated to take into account that whatnext is in debian directory for this
      release
  * debian/whatsnew.txt: get from MAME site as it's missing in upstream tarball
  * debian/sdlmame.1: updated with new options "listdevices" and "numprocessors"
  * debian/contrib/config/joymap.dat: deleted for obsolete as joystick code
    is not based on SDL anymore

 -- Cesare Falco <cesare.falco@gmail.com>  Sun, 04 Jan 2010 15:39:00 +0100

sdlmame (0.135-0ubuntu1) karmic; urgency=low

  * New upstream release - Closes (LP: #403212)
  * debian/watch: unstable releases are no longer detected
  * mame.ini: added the cheat subdirectories to cheatpath so zipped
    cheatfiles will be searched too
  * renamed crsshair subdirectory to crosshair to reflect upstream change
  * mame.ini: renamed references to crosshair subdirectory (see above)

 -- Cesare Falco <cesare.falco@gmail.com>  Tue, 03 Nov 2009 17:10:15 +0100

sdlmame (0.132-0ubuntu1) karmic; urgency=low

  * New upstream release - Closes (LP: #390157)
  * debian/rules: override new makefile variable CPP_COMPILE
  * debian/rules: code optimization flags for run-time speed enhancement
  * debian/rules: use ubuntu-specific build in upstream
  * sdlmame is no longer suid root; removed /var/games/sdlmame directory
    and games data are now saved in $HOME/.mame/

 -- Cesare Falco <cesare.falco@gmail.com>  Wed, 10 Jun 2009 22:45:24 +0200

sdlmame (0.129-0ubuntu1) jaunty; urgency=low

  * New upstream release - Closes (LP: #318304)
  * Removed obsolete contributed files related to joystick configuration
  * FIX: Don't build for lpia architecture (unsupported upstream)
  * FIX: Increased build optimizations to -pentium2 (sdlmame wouldn't run
    at decent speed on slower machines anyway)

 -- Cesare Falco <cesare.falco@gmail.com>  Sat, 14 Feb 2009 20:42:57 +0100

sdlmame (0.128-0ubuntu1) jaunty; urgency=low

  * New upstream release - Closes (LP: #231223)
  * FIX: Only Linux keyboard layouts are now included in binary packages


=== debian/control ===
Source: mame
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Cesare Falco <cesare.falco@gmail.com>
Homepage: http://mamedev.org
Build-Depends: debhelper (>= 7.0.50~),
 libexpat1-dev (>= 2.0.1),
 libgconf2-dev,
 libgtk2.0-dev,
 libsdl1.2-dev (>= 1.2.11),
 libxinerama-dev,
 zlib1g-dev
Standards-Version: 3.9.0


Package: mame
Architecture: i386 amd64
Provides: sdlmame
Depends: ${misc:Depends},
 ${shlibs:Depends},
 mame-common (= ${source:Version})
Suggests: joystick,
 mame-tools
Description: The Multiple Arcade Machine Emulator - MAME
 A software emulator of several arcade games from the past.
 .
 MAME stands for Multiple Arcade Machine Emulator. When used
 in conjunction with images of the original arcade game's ROM
 and disk data, MAME attempts to reproduce that game as faithfully
 as possible on a more modern general-purpose computer. MAME can
 currently emulate several thousand different classic arcade video
 games from the late 1970s through the modern era. 


Package: mame-common
Architecture: all
Depends: ${misc:Depends}
Replaces: sdlmame (<< 0.137)
Conflicts: sdlmame (<< 0.137),
 xmame-common,
 xmame-gl,
 xmame-sdl,
 xmame-svga,
 xmame-tools,
 xmame-x
Description: Base files for MAME
 A set of files common to every flavour of MAME, including base
 configuration and shared local directories.
 .
 MAME stands for Multiple Arcade Machine Emulator. When used
 in conjunction with images of the original arcade game's ROM
 and disk data, MAME attempts to reproduce that game as faithfully
 as possible on a more modern general-purpose computer. MAME can
 currently emulate several thousand different classic arcade video
 games from the late 1970s through the modern era. 


Package: mame-tools
Section: utils
Architecture: i386 amd64
Depends: ${misc:Depends},
 ${shlibs:Depends},
 mame-common (= ${source:Version})
Recommends: mame (= ${source:Version})
Provides: sdlmame-tools
Replaces: sdlmame-tools (<< 0.137)
Conflicts: sdlmame-tools (<< 0.137),
 xmame-tools
Description: MAME tools
 A set of useful tools for the Multiple Arcade Machine Emulator:
  * chdman - MAME Compressed Hunks of Data (CHD) manager
  * jedutil - Converts a .JED file into its binary form, and viceversa
  * ldverify - MAME laserdisc data checker
  * ldplayer - MAME laserdisc image player
  * romcmp - MAME rom and romsets check and comparison tool
  * testkeys - Returns SDL keycode for key pressed


Package: sdlmame
Depends: ${misc:Depends},
 mame
Architecture: all
Description: Dummy package to ease transition to mame
 This is a dummy package to ease transition to mame.
 .
 It can be safely removed from your system.


Package: sdlmame-tools
Depends: ${misc:Depends},
 mame-tools
Architecture: all
Description: Transitional dummy package to mame-tools
 This is a dummy package to ease transition to mame-tools.
 .
 It can be safely removed from your system.

=== debian/rules ===
#!/usr/bin/make -f

# Building rules for mame source package
# (c) Copyright 2007 Cesare Falco
#
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL-2 or <http://www.gnu.org/copyleft/gpl.txt>.

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

VER=0.139
MD5SUM=e9f81e86b786e0131eb6fb59e6bfe189

# Override relevant make variables in original makefile
DEB_MAME_OPTS = \
    OPT_FLAGS="-D'INI_PATH=\"/etc/mame\"'" \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    OSD=sdl \
    CROSS_BUILD_OSD= \
    TARGETOS=unix \
    PREFIX= \
    SUFFIX= \
    DEBUG= \
    PROFILER= \
    NOWERROR= \
    MACOSX_USE_LIBSDL= \
    BUILD_EXPAT= \
    BUILD_ZLIB= \
    SYMBOLS= \
    SYMLEVEL= \
    DUMPSYM= \
    PROFILE= \
    MAP= \
    VERBOSE= \
    OPTIMIZE=3 \
    DISTRO=gcc44-generic

# Override make variables for specific archs
ifeq ($(DEB_HOST_ARCH),i386)
DEB_MAME_OPTS += \
    ARCHOPTS=-march=pentium2 \
    FORCE_DRC_C_BACKEND= \
    PTR64= \
    BIGENDIAN=
endif

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_MAME_OPTS += \
    ARCHOPTS=-march=athlon64 \
    FORCE_DRC_C_BACKEND= \
    PTR64=1 \
    BIGENDIAN=
endif


%:
	dh $@

override_dh_auto_build:
	$(MAKE) -j3 $(DEB_MAME_OPTS) all

override_dh_auto_clean:
	$(MAKE) $(DEB_MAME_OPTS) clean

override_dh_installchangelogs:
	dh_installchangelogs --keep whatsnew.txt

override_dh_installdocs:
	dh_installdocs --exclude=license.txt \
                   --exclude=windows.txt \
                   --exclude=whatsnew.txt

override_dh_install:
	dh_install --exclude=OSX.txt


get-orig-source: mame$(subst .,,$(VER))s.zip
	echo "$(MD5SUM) *mame$(subst .,,$(VER))s.zip" | md5sum -c -
	unzip -q mame$(subst .,,$(VER))s.zip
	mkdir mame-$(VER)
	unzip -d mame-$(VER) mame.zip
	find mame-$(VER) -type f -not -name *.png | xargs sed -i "s/\r$$//"
	tar -cf - mame-$(VER) | bzip2 -9c > mame_$(VER).orig.tar.bz2
	rm -rf mame-$(VER) mame.zip mame$(subst .,,$(VER))s.zip

mame$(subst .,,$(VER))s.zip:
	wget -U ubuntu -P . "http://mamedev.org/downloader.php?&file=mame$(subst .,,$(VER))s.zip"

=== debian/watch ===
version=3
opts="dversionmangle=s/u\d+//,filenamemangle=s/.*=(.*)/$1/" \
 http://mamedev.org/release.html downloader\.php.*mame(\d)(\d+)s\.zip

## mame 0.141

=== debian/changelog ===
mame (0.141-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #671358)
  * contrib/mame.ini: improved user settings management (LP: #657102)
  * removed debian/patch/delete_obj_dir_on_make_clean.patch,
    delete obj/ dir in debian/rules instead
  * debian/control:
    - bump Standards-version to 3.9.1
    - added dependence on libsdl-ttf (required upstream)
  * debian/rules:
    - fixed wget options, updated url in mame$(subst .,,$(VER))s.zip target
    - removed dependence on gcc 4.4, use default compiler 
  * debian/watch: updated filenamemangle option 
  * mame-tools: reintroduced ldplayer

 -- Cesare Falco <cesare.falco@gmail.com>  Sat, 01 Jan 2011 23:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  libgconf2-dev,
  libgtk2.0-dev,
  libsdl1.2-dev (>= 1.2.11),
+ libsdl-ttf2.0-dev,
  libxinerama-dev,
  zlib1g-dev
-Standards-Version: 3.9.0
-
+Standards-Version: 3.9.1
 
 Package: mame
 Architecture: i386 amd64
@@ -31,7 +31,6 @@
  as possible on a more modern general-purpose computer. MAME can
  currently emulate several thousand different classic arcade video
  games from the late 1970s through the modern era. 
-
 
 Package: mame-common
 Architecture: all
@@ -55,7 +54,6 @@
  currently emulate several thousand different classic arcade video
  games from the late 1970s through the modern era. 
 
-
 Package: mame-tools
 Section: utils
 Architecture: i386 amd64
@@ -76,7 +74,6 @@
   * romcmp - MAME rom and romsets check and comparison tool
   * testkeys - Returns SDL keycode for key pressed
 
-
 Package: sdlmame
 Depends: ${misc:Depends},
  mame
@@ -86,7 +83,6 @@
  .
  It can be safely removed from your system.
 
-
 Package: sdlmame-tools
 Depends: ${misc:Depends},
  mame-tools

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-VER=0.139
-MD5SUM=e9f81e86b786e0131eb6fb59e6bfe189
+VER=0.141
+MD5SUM=95b3866cc98a2bea789f8b20e6ff7001
 
 # Override relevant make variables in original makefile
 DEB_MAME_OPTS = \
@@ -34,8 +34,7 @@
     PROFILE= \
     MAP= \
     VERBOSE= \
-    OPTIMIZE=3 \
-    DISTRO=gcc44-generic
+    OPTIMIZE=3
 
 # Override make variables for specific archs
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -60,9 +59,17 @@
 
 override_dh_auto_build:
 	$(MAKE) -j3 $(DEB_MAME_OPTS) all
+	$(MAKE) -j3 $(DEB_MAME_OPTS) TARGET=ldplayer \
+                                 FULLNAME=ldplayer \
+                                 SUBTARGET=ldplayer
 
 override_dh_auto_clean:
 	$(MAKE) $(DEB_MAME_OPTS) clean
+	$(MAKE) $(DEB_MAME_OPTS) TARGET=ldplayer \
+                             FULLNAME=ldplayer \
+                             SUBTARGET=ldplayer \
+                             clean
+	rm -rf obj/
 
 override_dh_installchangelogs:
 	dh_installchangelogs --keep whatsnew.txt
@@ -86,4 +93,5 @@
 	rm -rf mame-$(VER) mame.zip mame$(subst .,,$(VER))s.zip
 
 mame$(subst .,,$(VER))s.zip:
-	wget -U ubuntu -P . "http://mamedev.org/downloader.php?&file=mame$(subst .,,$(VER))s.zip"
+	wget -U ubuntu -P . -O mame$(subst .,,$(VER))s.zip \
+        "http://mamedev.org/downloader.php?&file=releases/mame$(subst .,,$(VER))s.zip"

=== debian/watch ===
version=3
opts="dversionmangle=s/u\d+//,filenamemangle=s/.*\/(.*)/$1/" \
 http://mamedev.org/release.html downloader\.php.*mame(\d)(\d+)s\.zip
